

Don't assume the size of dev_t: on ppc64 it is unsignedlong and this
generates a printk warning.



 drivers/char/tty_io.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/tty_io.c~tty_io-warning-fix drivers/char/tty_io.c
--- 25-power4/drivers/char/tty_io.c~tty_io-warning-fix	2003-05-22 00:48:34.000000000 -0700
+++ 25-power4-akpm/drivers/char/tty_io.c	2003-05-22 00:49:53.000000000 -0700
@@ -2113,7 +2113,7 @@ static spinlock_t tty_dev_list_lock = SP
 static ssize_t show_dev(struct class_device *class_dev, char *buf)
 {
 	struct tty_dev *tty_dev = to_tty_dev(class_dev);
-	return sprintf(buf, "%04x\n", tty_dev->dev);
+	return sprintf(buf, "%04lx\n", (unsigned long)tty_dev->dev);
 }
 static CLASS_DEVICE_ATTR(dev, S_IRUGO, show_dev, NULL);
 

_
